evbuffer_iovec(3) | Library Functions Manual | evbuffer_iovec(3)

# NAME

evbuffer_iovec - Describes a single extent of memory inside an evbuffer.

# SYNOPSIS

#include <buffer.h>

## Data Fields

void * iov_base
The start of the extent of memory. size_t iov_len
The length of the extent of memory.

# Detailed Description

Describes a single extent of memory inside an evbuffer.

Used for direct-access functions.

See also:

evbuffer_reserve_space, evbuffer_commit_space, evbuffer_peek

# Field Documentation

## void* evbuffer_iovec::iov_base

The start of the extent of memory.

## size_t evbuffer_iovec::iov_len

The length of the extent of memory.

# Author

Generated automatically by Doxygen for libevent from the source code.

Tue Jan 31 2017 | libevent